Bug 1268920 - Review Request: perl-Dist-Zilla-App-Command-cover - Code coverage metrics for your distribution
Review Request: perl-Dist-Zilla-App-Command-cover - Code coverage metrics for...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 12:13 EDT by Petr Šabata
Modified: 2015-11-25 10:41 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 10:41:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-10-05 12:13:34 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Dist-Zilla-App-Command-cover/perl-Dist-Zilla-App-Command-cover.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Dist-Zilla-App-Command-cover/perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22.src.rpm
Description:
This is a command plugin for Dist::Zilla. It provides the cover command,
which generates code coverage metrics for your distribution using
Devel::Cover.
Fedora Account System Username: psabata
Comment 1 Upstream Release Monitoring 2015-10-06 03:42:30 EDT
jplesnik's scratch build of perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11347632
Comment 2 Jitka Plesnikova 2015-10-06 06:25:29 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

BuildRequires are almost ok
FIX: Please add BR perl(File::Temp) - 00-compile.t:11

$ rpm -qp --requires perl-Dist-Zilla-App-Command-cover-1.101001-1.fc24.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Dist::Zilla::App)
      1 perl(File::Temp)
      1 perl(File::chdir)
      1 perl(Path::Class)
      1 perl(strict)
      1 perl(warnings)
      1 perl-Devel-Cover
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Dist-Zilla-App-Command-cover-1.101001-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Dist::Zilla::App::Command::cover) = 1.101001
      1 perl-Dist-Zilla-App-Command-cover = 1.101001-1.fc24

Binary provides are Ok.

$ rpmlint perl-Dist-Zilla-App-Command-cover*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

Please correct 'FIX' issue.

Otherwise the package looks good.
APPROVED
Comment 3 Petr Šabata 2015-10-06 07:17:11 EDT
Thanks, I overlooked that dependency.
Branches requested in pkgdb.
Comment 4 Fedora Update System 2015-10-07 08:43:58 EDT
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b80bd52a95
Comment 5 Fedora Update System 2015-10-07 08:43:58 EDT
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-652fec44c1
Comment 6 Fedora Update System 2015-10-07 12:25:43 EDT
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Dist-Zilla-App-Command-cover'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-652fec44c1
Comment 7 Fedora Update System 2015-10-07 12:27:28 EDT
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Dist-Zilla-App-Command-cover'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b80bd52a95
Comment 8 Fedora Update System 2015-11-05 17:25:29 EST
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-05 18:25:42 EST
perl-Dist-Zilla-App-Command-cover-1.101001-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.